Subject: 答复: linux-next: manual merge of the kvm tree with Linus' tree

From: "Li,Rongqing" <[email-masked]>
Date: Thu, 31 Mar 2022 02:04:28 +0000

> Hi all,
> 
> Today's linux-next merge of the kvm tree got a conflict in:
> 
>   arch/x86/kernel/kvm.c
> 
> between commit:
> 
>   c3b037917c6a ("x86/ibt,paravirt: Sprinkle ENDBR")
> 
> from Linus' tree and commit:
> 
>   8c5649e00e00 ("KVM: x86: Support the vCPU preemption check with
> nopvspin and realtime hint")
> 
> from the kvm tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This is now fixed as far
> as linux-next is concerned, but any non trivial conflicts should be mentioned to
> your upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.
> 
> --
> Cheers,
> Stephen Rothwell
> 
> diff --cc arch/x86/kernel/kvm.c
> index 79e0b8d63ffa,21933095a10e..000000000000
> --- a/arch/x86/kernel/kvm.c
> +++ b/arch/x86/kernel/kvm.c
> @@@ -752,6 -752,39 +752,40 @@@ static void kvm_crash_shutdown(struct p
>   }
>   #endif
> 
> + #ifdef CONFIG_X86_32
> + __visible bool __kvm_vcpu_is_preempted(long cpu) {
> + 	struct kvm_steal_time *src = &per_cpu(steal_time, cpu);
> +
> + 	return !!(src->preempted & KVM_VCPU_PREEMPTED); }
> + PV_CALLEE_SAVE_REGS_THUNK(__kvm_vcpu_is_preempted);
> +
> + #else
> +

I am sorry;  I see v3 is merged into next, this version will cause building failure, like reported in 
https://www.spinics.net/lists/kvm/msg270607.html

I send a new version
https://patchwork.kernel.org/project/kvm/patch/[email-masked]/

-Li